#include "SH_plugins.h"




QList<SSPair> SHPluginBaseBus::readPathes(BlockItemPin * this_pin, BlockItemPin * other_pin) {
	QList<SSPair> ret;
	ret << SSPair(this_pin->text(), this_pin->propertyValueByName("device").toString());
	return ret;
}


QList<SSPair> SHPluginBaseBus::writePathes(BlockItemPin * this_pin, BlockItemPin * other_pin) {
	QList<SSPair> ret;
	ret << SSPair(this_pin->text(), this_pin->propertyValueByName("device").toString());
	return ret;
}


void SHPluginBaseBlock::configurePin(BlockType & block, QString pin_name, QString bus_type, QString packet_plugin) {
	block.pins_properties[pin_name].addProperty(SH_Pin_Bus_type, bus_type, "", SHS::Hidden);
	block.pins_properties[pin_name].addProperty(SH_Pin_Plugin_name, packet_plugin, "", SHS::Internal | SHS::Hidden);
}
